<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <style>
    body {
      margin: 0;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
    }

    .flex-container {
      display: flex;
      flex-direction: column; /* 將內容設為垂直排列 */
      justify-content: center;
      align-items: center;
      text-align: center; /* 將文字置中 */
    }

    .flex-container span {
      white-space: pre-line; /* 讓文字在換行符號處換行 */
    }

    .spacer {
      margin: 0 40px;
    }

    .flex-container button {
      font-size: 50px;
      margin: 0;
      padding: 10px 20px;
    }
  </style>
  <title>支付成功</title>
</head>
<body>
  <div class="flex-container">
    <h1>支付成功</h1>
    <span>您的訂單已成功付款，請您耐心等待商品出貨。</span>
    <p>
      <button type="button" id="printQRCode">列印取餐QR Code</button>
    </p>
  </div>

  <script>
    const printQRCodeButton = document.getElementById("printQRCode");
    printQRCodeButton.addEventListener("click", () => {
      window.location.href = "/step9.html";
    });
  </script>
</body>
</html>
